import { BuildTarget } from '../BuildTarget';
import { BuildType } from '../BuildType';
import { ClassIDType } from '../ClassIdType';
import { ObjectReader } from '../ObjectReader';
import { Version } from '../VersionTuple';
export declare class BaseObject {
    protected readonly version: Version;
    protected readonly buildType: BuildType;
    protected readonly platform: BuildTarget;
    readonly classId: ClassIDType;
    readonly pathId: number | bigint;
    constructor(reader: ObjectReader);
}
