"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseObject = void 0;
const BuildTarget_1 = require("../BuildTarget");
class BaseObject {
    constructor(reader) {
        reader.reset();
        this.version = reader.version;
        this.buildType = reader.buildType;
        this.platform = reader.platform;
        this.classId = reader.classId;
        this.pathId = reader.pathId;
        if (this.platform === BuildTarget_1.BuildTarget.NoTarget) {
            reader.readUInt32();
        }
    }
}
exports.BaseObject = BaseObject;
//# sourceMappingURL=BaseObject.js.map