"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNamedObject = exports.NamedObject = void 0;
const BaseObject_1 = require("./BaseObject");
class NamedObject extends BaseObject_1.BaseObject {
    constructor(reader) {
        super(reader);
        this.name = reader.readAlignedString();
    }
}
exports.NamedObject = NamedObject;
function isNamedObject(obj) {
    return obj.name !== undefined;
}
exports.isNamedObject = isNamedObject;
//# sourceMappingURL=NamedObject.js.map