/// <reference types="node" />
/// <reference types="ref-napi" />
import { Texture2D } from './Objects/Texture2D';
declare const TextureDecoder: {
    DecodeDXT1: import("ffi-napi").ForeignFunction<boolean, [Buffer | import("ref-napi").Pointer<number>, number, number, Buffer | import("ref-napi").Pointer<number>]>;
    DecodeDXT5: import("ffi-napi").ForeignFunction<boolean, [Buffer | import("ref-napi").Pointer<number>, number, number, Buffer | import("ref-napi").Pointer<number>]>;
    DecodeBC4: import("ffi-napi").ForeignFunction<boolean, [Buffer | import("ref-napi").Pointer<number>, number, number, Buffer | import("ref-napi").Pointer<number>]>;
    DecodeBC5: import("ffi-napi").ForeignFunction<boolean, [Buffer | import("ref-napi").Pointer<number>, number, number, Buffer | import("ref-napi").Pointer<number>]>;
    DecodeBC6: import("ffi-napi").ForeignFunction<boolean, [Buffer | import("ref-napi").Pointer<number>, number, number, Buffer | import("ref-napi").Pointer<number>]>;
    DecodeBC7: import("ffi-napi").ForeignFunction<boolean, [Buffer | import("ref-napi").Pointer<number>, number, number, Buffer | import("ref-napi").Pointer<number>]>;
    DecodeETC1: import("ffi-napi").ForeignFunction<boolean, [Buffer | import("ref-napi").Pointer<number>, number, number, Buffer | import("ref-napi").Pointer<number>]>;
    DecodeATCRGB4: import("ffi-napi").ForeignFunction<boolean, [Buffer | import("ref-napi").Pointer<number>, number, number, Buffer | import("ref-napi").Pointer<number>]>;
    DecodeATCRGBA8: import("ffi-napi").ForeignFunction<boolean, [Buffer | import("ref-napi").Pointer<number>, number, number, Buffer | import("ref-napi").Pointer<number>]>;
    DecodeEACR: import("ffi-napi").ForeignFunction<boolean, [Buffer | import("ref-napi").Pointer<number>, number, number, Buffer | import("ref-napi").Pointer<number>]>;
    DecodeEACRSigned: import("ffi-napi").ForeignFunction<boolean, [Buffer | import("ref-napi").Pointer<number>, number, number, Buffer | import("ref-napi").Pointer<number>]>;
    DecodeEACRG: import("ffi-napi").ForeignFunction<boolean, [Buffer | import("ref-napi").Pointer<number>, number, number, Buffer | import("ref-napi").Pointer<number>]>;
    DecodeETC2: import("ffi-napi").ForeignFunction<boolean, [Buffer | import("ref-napi").Pointer<number>, number, number, Buffer | import("ref-napi").Pointer<number>]>;
    DecodeETC2A1: import("ffi-napi").ForeignFunction<boolean, [Buffer | import("ref-napi").Pointer<number>, number, number, Buffer | import("ref-napi").Pointer<number>]>;
    DecodeETC2A8: import("ffi-napi").ForeignFunction<boolean, [Buffer | import("ref-napi").Pointer<number>, number, number, Buffer | import("ref-napi").Pointer<number>]>;
};
export declare function getTextureBuffer(texture: Texture2D): Promise<Buffer>;
export declare function invokeDecoder(texture: Texture2D, format: keyof typeof TextureDecoder): Promise<Buffer>;
export {};
