"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assert = void 0;
function assert(value, ...args) {
    if (!value) {
        if (args.length === 0) {
            throw new Error(`**Assert** ${value}`);
        }
        const [arg0, ...errorArgs] = args;
        if (typeof arg0 === 'string') {
            throw new Error(`**Assert** ${arg0}`);
        }
        else {
            if (errorArgs.length === 0) {
                throw new arg0(`**Assert** ${value}`);
            }
            throw new arg0(...errorArgs);
        }
    }
}
exports.assert = assert;
//# sourceMappingURL=Assert.js.map