"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClassIDType = void 0;
var ClassIDType;
(function (ClassIDType) {
    ClassIDType[ClassIDType["UnknownType"] = -1] = "UnknownType";
    ClassIDType[ClassIDType["Object"] = 0] = "Object";
    ClassIDType[ClassIDType["GameObject"] = 1] = "GameObject";
    ClassIDType[ClassIDType["Component"] = 2] = "Component";
    ClassIDType[ClassIDType["LevelGameManager"] = 3] = "LevelGameManager";
    ClassIDType[ClassIDType["Transform"] = 4] = "Transform";
    ClassIDType[ClassIDType["TimeManager"] = 5] = "TimeManager";
    ClassIDType[ClassIDType["GlobalGameManager"] = 6] = "GlobalGameManager";
    ClassIDType[ClassIDType["Behaviour"] = 8] = "Behaviour";
    ClassIDType[ClassIDType["GameManager"] = 9] = "GameManager";
    ClassIDType[ClassIDType["AudioManager"] = 11] = "AudioManager";
    ClassIDType[ClassIDType["ParticleAnimator"] = 12] = "ParticleAnimator";
    ClassIDType[ClassIDType["InputManager"] = 13] = "InputManager";
    ClassIDType[ClassIDType["EllipsoidParticleEmitter"] = 15] = "EllipsoidParticleEmitter";
    ClassIDType[ClassIDType["Pipeline"] = 17] = "Pipeline";
    ClassIDType[ClassIDType["EditorExtension"] = 18] = "EditorExtension";
    ClassIDType[ClassIDType["Physics2DSettings"] = 19] = "Physics2DSettings";
    ClassIDType[ClassIDType["Camera"] = 20] = "Camera";
    ClassIDType[ClassIDType["Material"] = 21] = "Material";
    ClassIDType[ClassIDType["MeshRenderer"] = 23] = "MeshRenderer";
    ClassIDType[ClassIDType["Renderer"] = 25] = "Renderer";
    ClassIDType[ClassIDType["ParticleRenderer"] = 26] = "ParticleRenderer";
    ClassIDType[ClassIDType["Texture"] = 27] = "Texture";
    ClassIDType[ClassIDType["Texture2D"] = 28] = "Texture2D";
    ClassIDType[ClassIDType["SceneSettings"] = 29] = "SceneSettings";
    ClassIDType[ClassIDType["GraphicsSettings"] = 30] = "GraphicsSettings";
    ClassIDType[ClassIDType["MeshFilter"] = 33] = "MeshFilter";
    ClassIDType[ClassIDType["OcclusionPortal"] = 41] = "OcclusionPortal";
    ClassIDType[ClassIDType["Mesh"] = 43] = "Mesh";
    ClassIDType[ClassIDType["Skybox"] = 45] = "Skybox";
    ClassIDType[ClassIDType["QualitySettings"] = 47] = "QualitySettings";
    ClassIDType[ClassIDType["Shader"] = 48] = "Shader";
    ClassIDType[ClassIDType["TextAsset"] = 49] = "TextAsset";
    ClassIDType[ClassIDType["Rigidbody2D"] = 50] = "Rigidbody2D";
    ClassIDType[ClassIDType["Physics2DManager"] = 51] = "Physics2DManager";
    ClassIDType[ClassIDType["Collider2D"] = 53] = "Collider2D";
    ClassIDType[ClassIDType["Rigidbody"] = 54] = "Rigidbody";
    ClassIDType[ClassIDType["PhysicsManager"] = 55] = "PhysicsManager";
    ClassIDType[ClassIDType["Collider"] = 56] = "Collider";
    ClassIDType[ClassIDType["Joint"] = 57] = "Joint";
    ClassIDType[ClassIDType["CircleCollider2D"] = 58] = "CircleCollider2D";
    ClassIDType[ClassIDType["HingeJoint"] = 59] = "HingeJoint";
    ClassIDType[ClassIDType["PolygonCollider2D"] = 60] = "PolygonCollider2D";
    ClassIDType[ClassIDType["BoxCollider2D"] = 61] = "BoxCollider2D";
    ClassIDType[ClassIDType["PhysicsMaterial2D"] = 62] = "PhysicsMaterial2D";
    ClassIDType[ClassIDType["MeshCollider"] = 64] = "MeshCollider";
    ClassIDType[ClassIDType["BoxCollider"] = 65] = "BoxCollider";
    ClassIDType[ClassIDType["SpriteCollider2D"] = 66] = "SpriteCollider2D";
    ClassIDType[ClassIDType["EdgeCollider2D"] = 68] = "EdgeCollider2D";
    ClassIDType[ClassIDType["CapsuleCollider2D"] = 70] = "CapsuleCollider2D";
    ClassIDType[ClassIDType["ComputeShader"] = 72] = "ComputeShader";
    ClassIDType[ClassIDType["AnimationClip"] = 74] = "AnimationClip";
    ClassIDType[ClassIDType["ConstantForce"] = 75] = "ConstantForce";
    ClassIDType[ClassIDType["WorldParticleCollider"] = 76] = "WorldParticleCollider";
    ClassIDType[ClassIDType["TagManager"] = 78] = "TagManager";
    ClassIDType[ClassIDType["AudioListener"] = 81] = "AudioListener";
    ClassIDType[ClassIDType["AudioSource"] = 82] = "AudioSource";
    ClassIDType[ClassIDType["AudioClip"] = 83] = "AudioClip";
    ClassIDType[ClassIDType["RenderTexture"] = 84] = "RenderTexture";
    ClassIDType[ClassIDType["CustomRenderTexture"] = 86] = "CustomRenderTexture";
    ClassIDType[ClassIDType["MeshParticleEmitter"] = 87] = "MeshParticleEmitter";
    ClassIDType[ClassIDType["ParticleEmitter"] = 88] = "ParticleEmitter";
    ClassIDType[ClassIDType["Cubemap"] = 89] = "Cubemap";
    ClassIDType[ClassIDType["Avatar"] = 90] = "Avatar";
    ClassIDType[ClassIDType["AnimatorController"] = 91] = "AnimatorController";
    ClassIDType[ClassIDType["GUILayer"] = 92] = "GUILayer";
    ClassIDType[ClassIDType["RuntimeAnimatorController"] = 93] = "RuntimeAnimatorController";
    ClassIDType[ClassIDType["ScriptMapper"] = 94] = "ScriptMapper";
    ClassIDType[ClassIDType["Animator"] = 95] = "Animator";
    ClassIDType[ClassIDType["TrailRenderer"] = 96] = "TrailRenderer";
    ClassIDType[ClassIDType["DelayedCallManager"] = 98] = "DelayedCallManager";
    ClassIDType[ClassIDType["TextMesh"] = 102] = "TextMesh";
    ClassIDType[ClassIDType["RenderSettings"] = 104] = "RenderSettings";
    ClassIDType[ClassIDType["Light"] = 108] = "Light";
    ClassIDType[ClassIDType["CGProgram"] = 109] = "CGProgram";
    ClassIDType[ClassIDType["BaseAnimationTrack"] = 110] = "BaseAnimationTrack";
    ClassIDType[ClassIDType["Animation"] = 111] = "Animation";
    ClassIDType[ClassIDType["MonoBehaviour"] = 114] = "MonoBehaviour";
    ClassIDType[ClassIDType["MonoScript"] = 115] = "MonoScript";
    ClassIDType[ClassIDType["MonoManager"] = 116] = "MonoManager";
    ClassIDType[ClassIDType["Texture3D"] = 117] = "Texture3D";
    ClassIDType[ClassIDType["NewAnimationTrack"] = 118] = "NewAnimationTrack";
    ClassIDType[ClassIDType["Projector"] = 119] = "Projector";
    ClassIDType[ClassIDType["LineRenderer"] = 120] = "LineRenderer";
    ClassIDType[ClassIDType["Flare"] = 121] = "Flare";
    ClassIDType[ClassIDType["Halo"] = 122] = "Halo";
    ClassIDType[ClassIDType["LensFlare"] = 123] = "LensFlare";
    ClassIDType[ClassIDType["FlareLayer"] = 124] = "FlareLayer";
    ClassIDType[ClassIDType["HaloLayer"] = 125] = "HaloLayer";
    ClassIDType[ClassIDType["NavMeshAreas"] = 126] = "NavMeshAreas";
    ClassIDType[ClassIDType["HaloManager"] = 127] = "HaloManager";
    ClassIDType[ClassIDType["Font"] = 128] = "Font";
    ClassIDType[ClassIDType["PlayerSettings"] = 129] = "PlayerSettings";
    ClassIDType[ClassIDType["NamedObject"] = 130] = "NamedObject";
    ClassIDType[ClassIDType["GUITexture"] = 131] = "GUITexture";
    ClassIDType[ClassIDType["GUIText"] = 132] = "GUIText";
    ClassIDType[ClassIDType["GUIElement"] = 133] = "GUIElement";
    ClassIDType[ClassIDType["PhysicMaterial"] = 134] = "PhysicMaterial";
    ClassIDType[ClassIDType["SphereCollider"] = 135] = "SphereCollider";
    ClassIDType[ClassIDType["CapsuleCollider"] = 136] = "CapsuleCollider";
    ClassIDType[ClassIDType["SkinnedMeshRenderer"] = 137] = "SkinnedMeshRenderer";
    ClassIDType[ClassIDType["FixedJoint"] = 138] = "FixedJoint";
    ClassIDType[ClassIDType["RaycastCollider"] = 140] = "RaycastCollider";
    ClassIDType[ClassIDType["BuildSettings"] = 141] = "BuildSettings";
    ClassIDType[ClassIDType["AssetBundle"] = 142] = "AssetBundle";
    ClassIDType[ClassIDType["CharacterController"] = 143] = "CharacterController";
    ClassIDType[ClassIDType["CharacterJoint"] = 144] = "CharacterJoint";
    ClassIDType[ClassIDType["SpringJoint"] = 145] = "SpringJoint";
    ClassIDType[ClassIDType["WheelCollider"] = 146] = "WheelCollider";
    ClassIDType[ClassIDType["ResourceManager"] = 147] = "ResourceManager";
    ClassIDType[ClassIDType["NetworkView"] = 148] = "NetworkView";
    ClassIDType[ClassIDType["NetworkManager"] = 149] = "NetworkManager";
    ClassIDType[ClassIDType["PreloadData"] = 150] = "PreloadData";
    ClassIDType[ClassIDType["MovieTexture"] = 152] = "MovieTexture";
    ClassIDType[ClassIDType["ConfigurableJoint"] = 153] = "ConfigurableJoint";
    ClassIDType[ClassIDType["TerrainCollider"] = 154] = "TerrainCollider";
    ClassIDType[ClassIDType["MasterServerInterface"] = 155] = "MasterServerInterface";
    ClassIDType[ClassIDType["TerrainData"] = 156] = "TerrainData";
    ClassIDType[ClassIDType["LightmapSettings"] = 157] = "LightmapSettings";
    ClassIDType[ClassIDType["WebCamTexture"] = 158] = "WebCamTexture";
    ClassIDType[ClassIDType["EditorSettings"] = 159] = "EditorSettings";
    ClassIDType[ClassIDType["InteractiveCloth"] = 160] = "InteractiveCloth";
    ClassIDType[ClassIDType["ClothRenderer"] = 161] = "ClothRenderer";
    ClassIDType[ClassIDType["EditorUserSettings"] = 162] = "EditorUserSettings";
    ClassIDType[ClassIDType["SkinnedCloth"] = 163] = "SkinnedCloth";
    ClassIDType[ClassIDType["AudioReverbFilter"] = 164] = "AudioReverbFilter";
    ClassIDType[ClassIDType["AudioHighPassFilter"] = 165] = "AudioHighPassFilter";
    ClassIDType[ClassIDType["AudioChorusFilter"] = 166] = "AudioChorusFilter";
    ClassIDType[ClassIDType["AudioReverbZone"] = 167] = "AudioReverbZone";
    ClassIDType[ClassIDType["AudioEchoFilter"] = 168] = "AudioEchoFilter";
    ClassIDType[ClassIDType["AudioLowPassFilter"] = 169] = "AudioLowPassFilter";
    ClassIDType[ClassIDType["AudioDistortionFilter"] = 170] = "AudioDistortionFilter";
    ClassIDType[ClassIDType["SparseTexture"] = 171] = "SparseTexture";
    ClassIDType[ClassIDType["AudioBehaviour"] = 180] = "AudioBehaviour";
    ClassIDType[ClassIDType["AudioFilter"] = 181] = "AudioFilter";
    ClassIDType[ClassIDType["WindZone"] = 182] = "WindZone";
    ClassIDType[ClassIDType["Cloth"] = 183] = "Cloth";
    ClassIDType[ClassIDType["SubstanceArchive"] = 184] = "SubstanceArchive";
    ClassIDType[ClassIDType["ProceduralMaterial"] = 185] = "ProceduralMaterial";
    ClassIDType[ClassIDType["ProceduralTexture"] = 186] = "ProceduralTexture";
    ClassIDType[ClassIDType["Texture2DArray"] = 187] = "Texture2DArray";
    ClassIDType[ClassIDType["CubemapArray"] = 188] = "CubemapArray";
    ClassIDType[ClassIDType["OffMeshLink"] = 191] = "OffMeshLink";
    ClassIDType[ClassIDType["OcclusionArea"] = 192] = "OcclusionArea";
    ClassIDType[ClassIDType["Tree"] = 193] = "Tree";
    ClassIDType[ClassIDType["NavMeshObsolete"] = 194] = "NavMeshObsolete";
    ClassIDType[ClassIDType["NavMeshAgent"] = 195] = "NavMeshAgent";
    ClassIDType[ClassIDType["NavMeshSettings"] = 196] = "NavMeshSettings";
    ClassIDType[ClassIDType["LightProbesLegacy"] = 197] = "LightProbesLegacy";
    ClassIDType[ClassIDType["ParticleSystem"] = 198] = "ParticleSystem";
    ClassIDType[ClassIDType["ParticleSystemRenderer"] = 199] = "ParticleSystemRenderer";
    ClassIDType[ClassIDType["ShaderVariantCollection"] = 200] = "ShaderVariantCollection";
    ClassIDType[ClassIDType["LODGroup"] = 205] = "LODGroup";
    ClassIDType[ClassIDType["BlendTree"] = 206] = "BlendTree";
    ClassIDType[ClassIDType["Motion"] = 207] = "Motion";
    ClassIDType[ClassIDType["NavMeshObstacle"] = 208] = "NavMeshObstacle";
    ClassIDType[ClassIDType["TerrainInstance"] = 210] = "TerrainInstance";
    ClassIDType[ClassIDType["SpriteRenderer"] = 212] = "SpriteRenderer";
    ClassIDType[ClassIDType["Sprite"] = 213] = "Sprite";
    ClassIDType[ClassIDType["CachedSpriteAtlas"] = 214] = "CachedSpriteAtlas";
    ClassIDType[ClassIDType["ReflectionProbe"] = 215] = "ReflectionProbe";
    ClassIDType[ClassIDType["ReflectionProbes"] = 216] = "ReflectionProbes";
    ClassIDType[ClassIDType["Terrain"] = 218] = "Terrain";
    ClassIDType[ClassIDType["LightProbeGroup"] = 220] = "LightProbeGroup";
    ClassIDType[ClassIDType["AnimatorOverrideController"] = 221] = "AnimatorOverrideController";
    ClassIDType[ClassIDType["CanvasRenderer"] = 222] = "CanvasRenderer";
    ClassIDType[ClassIDType["Canvas"] = 223] = "Canvas";
    ClassIDType[ClassIDType["RectTransform"] = 224] = "RectTransform";
    ClassIDType[ClassIDType["CanvasGroup"] = 225] = "CanvasGroup";
    ClassIDType[ClassIDType["BillboardAsset"] = 226] = "BillboardAsset";
    ClassIDType[ClassIDType["BillboardRenderer"] = 227] = "BillboardRenderer";
    ClassIDType[ClassIDType["SpeedTreeWindAsset"] = 228] = "SpeedTreeWindAsset";
    ClassIDType[ClassIDType["AnchoredJoint2D"] = 229] = "AnchoredJoint2D";
    ClassIDType[ClassIDType["Joint2D"] = 230] = "Joint2D";
    ClassIDType[ClassIDType["SpringJoint2D"] = 231] = "SpringJoint2D";
    ClassIDType[ClassIDType["DistanceJoint2D"] = 232] = "DistanceJoint2D";
    ClassIDType[ClassIDType["HingeJoint2D"] = 233] = "HingeJoint2D";
    ClassIDType[ClassIDType["SliderJoint2D"] = 234] = "SliderJoint2D";
    ClassIDType[ClassIDType["WheelJoint2D"] = 235] = "WheelJoint2D";
    ClassIDType[ClassIDType["ClusterInputManager"] = 236] = "ClusterInputManager";
    ClassIDType[ClassIDType["BaseVideoTexture"] = 237] = "BaseVideoTexture";
    ClassIDType[ClassIDType["NavMeshData"] = 238] = "NavMeshData";
    ClassIDType[ClassIDType["AudioMixer"] = 240] = "AudioMixer";
    ClassIDType[ClassIDType["AudioMixerController"] = 241] = "AudioMixerController";
    ClassIDType[ClassIDType["AudioMixerGroupController"] = 243] = "AudioMixerGroupController";
    ClassIDType[ClassIDType["AudioMixerEffectController"] = 244] = "AudioMixerEffectController";
    ClassIDType[ClassIDType["AudioMixerSnapshotController"] = 245] = "AudioMixerSnapshotController";
    ClassIDType[ClassIDType["PhysicsUpdateBehaviour2D"] = 246] = "PhysicsUpdateBehaviour2D";
    ClassIDType[ClassIDType["ConstantForce2D"] = 247] = "ConstantForce2D";
    ClassIDType[ClassIDType["Effector2D"] = 248] = "Effector2D";
    ClassIDType[ClassIDType["AreaEffector2D"] = 249] = "AreaEffector2D";
    ClassIDType[ClassIDType["PointEffector2D"] = 250] = "PointEffector2D";
    ClassIDType[ClassIDType["PlatformEffector2D"] = 251] = "PlatformEffector2D";
    ClassIDType[ClassIDType["SurfaceEffector2D"] = 252] = "SurfaceEffector2D";
    ClassIDType[ClassIDType["BuoyancyEffector2D"] = 253] = "BuoyancyEffector2D";
    ClassIDType[ClassIDType["RelativeJoint2D"] = 254] = "RelativeJoint2D";
    ClassIDType[ClassIDType["FixedJoint2D"] = 255] = "FixedJoint2D";
    ClassIDType[ClassIDType["FrictionJoint2D"] = 256] = "FrictionJoint2D";
    ClassIDType[ClassIDType["TargetJoint2D"] = 257] = "TargetJoint2D";
    ClassIDType[ClassIDType["LightProbes"] = 258] = "LightProbes";
    ClassIDType[ClassIDType["LightProbeProxyVolume"] = 259] = "LightProbeProxyVolume";
    ClassIDType[ClassIDType["SampleClip"] = 271] = "SampleClip";
    ClassIDType[ClassIDType["AudioMixerSnapshot"] = 272] = "AudioMixerSnapshot";
    ClassIDType[ClassIDType["AudioMixerGroup"] = 273] = "AudioMixerGroup";
    ClassIDType[ClassIDType["NScreenBridge"] = 280] = "NScreenBridge";
    ClassIDType[ClassIDType["AssetBundleManifest"] = 290] = "AssetBundleManifest";
    ClassIDType[ClassIDType["UnityAdsManager"] = 292] = "UnityAdsManager";
    ClassIDType[ClassIDType["RuntimeInitializeOnLoadManager"] = 300] = "RuntimeInitializeOnLoadManager";
    ClassIDType[ClassIDType["CloudWebServicesManager"] = 301] = "CloudWebServicesManager";
    ClassIDType[ClassIDType["UnityAnalyticsManager"] = 303] = "UnityAnalyticsManager";
    ClassIDType[ClassIDType["CrashReportManager"] = 304] = "CrashReportManager";
    ClassIDType[ClassIDType["PerformanceReportingManager"] = 305] = "PerformanceReportingManager";
    ClassIDType[ClassIDType["UnityConnectSettings"] = 310] = "UnityConnectSettings";
    ClassIDType[ClassIDType["AvatarMask"] = 319] = "AvatarMask";
    ClassIDType[ClassIDType["VideoPlayer"] = 328] = "VideoPlayer";
    ClassIDType[ClassIDType["VideoClip"] = 329] = "VideoClip";
    ClassIDType[ClassIDType["OcclusionCullingData"] = 363] = "OcclusionCullingData";
    //kLargestRuntimeClassID = 364
    ClassIDType[ClassIDType["SmallestEditorClassID"] = 1000] = "SmallestEditorClassID";
    ClassIDType[ClassIDType["Prefab"] = 1001] = "Prefab";
    ClassIDType[ClassIDType["EditorExtensionImpl"] = 1002] = "EditorExtensionImpl";
    ClassIDType[ClassIDType["AssetImporter"] = 1003] = "AssetImporter";
    ClassIDType[ClassIDType["AssetDatabase"] = 1004] = "AssetDatabase";
    ClassIDType[ClassIDType["Mesh3DSImporter"] = 1005] = "Mesh3DSImporter";
    ClassIDType[ClassIDType["TextureImporter"] = 1006] = "TextureImporter";
    ClassIDType[ClassIDType["ShaderImporter"] = 1007] = "ShaderImporter";
    ClassIDType[ClassIDType["ComputeShaderImporter"] = 1008] = "ComputeShaderImporter";
    ClassIDType[ClassIDType["AudioImporter"] = 1020] = "AudioImporter";
    ClassIDType[ClassIDType["HierarchyState"] = 1026] = "HierarchyState";
    ClassIDType[ClassIDType["GUIDSerializer"] = 1027] = "GUIDSerializer";
    ClassIDType[ClassIDType["AssetMetaData"] = 1028] = "AssetMetaData";
    ClassIDType[ClassIDType["DefaultAsset"] = 1029] = "DefaultAsset";
    ClassIDType[ClassIDType["DefaultImporter"] = 1030] = "DefaultImporter";
    ClassIDType[ClassIDType["TextScriptImporter"] = 1031] = "TextScriptImporter";
    ClassIDType[ClassIDType["SceneAsset"] = 1032] = "SceneAsset";
    ClassIDType[ClassIDType["NativeFormatImporter"] = 1034] = "NativeFormatImporter";
    ClassIDType[ClassIDType["MonoImporter"] = 1035] = "MonoImporter";
    ClassIDType[ClassIDType["AssetServerCache"] = 1037] = "AssetServerCache";
    ClassIDType[ClassIDType["LibraryAssetImporter"] = 1038] = "LibraryAssetImporter";
    ClassIDType[ClassIDType["ModelImporter"] = 1040] = "ModelImporter";
    ClassIDType[ClassIDType["FBXImporter"] = 1041] = "FBXImporter";
    ClassIDType[ClassIDType["TrueTypeFontImporter"] = 1042] = "TrueTypeFontImporter";
    ClassIDType[ClassIDType["MovieImporter"] = 1044] = "MovieImporter";
    ClassIDType[ClassIDType["EditorBuildSettings"] = 1045] = "EditorBuildSettings";
    ClassIDType[ClassIDType["DDSImporter"] = 1046] = "DDSImporter";
    ClassIDType[ClassIDType["InspectorExpandedState"] = 1048] = "InspectorExpandedState";
    ClassIDType[ClassIDType["AnnotationManager"] = 1049] = "AnnotationManager";
    ClassIDType[ClassIDType["PluginImporter"] = 1050] = "PluginImporter";
    ClassIDType[ClassIDType["EditorUserBuildSettings"] = 1051] = "EditorUserBuildSettings";
    ClassIDType[ClassIDType["PVRImporter"] = 1052] = "PVRImporter";
    ClassIDType[ClassIDType["ASTCImporter"] = 1053] = "ASTCImporter";
    ClassIDType[ClassIDType["KTXImporter"] = 1054] = "KTXImporter";
    ClassIDType[ClassIDType["IHVImageFormatImporter"] = 1055] = "IHVImageFormatImporter";
    ClassIDType[ClassIDType["AnimatorStateTransition"] = 1101] = "AnimatorStateTransition";
    ClassIDType[ClassIDType["AnimatorState"] = 1102] = "AnimatorState";
    ClassIDType[ClassIDType["HumanTemplate"] = 1105] = "HumanTemplate";
    ClassIDType[ClassIDType["AnimatorStateMachine"] = 1107] = "AnimatorStateMachine";
    ClassIDType[ClassIDType["PreviewAssetType"] = 1108] = "PreviewAssetType";
    ClassIDType[ClassIDType["AnimatorTransition"] = 1109] = "AnimatorTransition";
    ClassIDType[ClassIDType["SpeedTreeImporter"] = 1110] = "SpeedTreeImporter";
    ClassIDType[ClassIDType["AnimatorTransitionBase"] = 1111] = "AnimatorTransitionBase";
    ClassIDType[ClassIDType["SubstanceImporter"] = 1112] = "SubstanceImporter";
    ClassIDType[ClassIDType["LightmapParameters"] = 1113] = "LightmapParameters";
    ClassIDType[ClassIDType["LightmapSnapshot"] = 1120] = "LightmapSnapshot";
    ClassIDType[ClassIDType["GISRaster"] = 1121] = "GISRaster";
    ClassIDType[ClassIDType["GISRasterImporter"] = 1122] = "GISRasterImporter";
    ClassIDType[ClassIDType["CadImporter"] = 1123] = "CadImporter";
    ClassIDType[ClassIDType["SketchUpImporter"] = 1124] = "SketchUpImporter";
    ClassIDType[ClassIDType["BuildReport"] = 1125] = "BuildReport";
    ClassIDType[ClassIDType["PackedAssets"] = 1126] = "PackedAssets";
    ClassIDType[ClassIDType["VideoClipImporter"] = 1127] = "VideoClipImporter";
    ClassIDType[ClassIDType["ActivationLogComponent"] = 2000] = "ActivationLogComponent";
    //kLargestEditorClassID = 2001
    //kClassIdOutOfHierarchy = 100000
    ClassIDType[ClassIDType["SubDerived"] = 367388927] = "SubDerived";
    ClassIDType[ClassIDType["SiblingDerived"] = 334799969] = "SiblingDerived";
    ClassIDType[ClassIDType["SpriteAtlas"] = 687078895] = "SpriteAtlas";
    ClassIDType[ClassIDType["Derived"] = 1091556383] = "Derived";
    ClassIDType[ClassIDType["LowerResBlitTexture"] = 1480428607] = "LowerResBlitTexture";
    ClassIDType[ClassIDType["RenderPassAttachment"] = 1571458007] = "RenderPassAttachment";
})(ClassIDType = exports.ClassIDType || (exports.ClassIDType = {}));
//# sourceMappingURL=ClassIdType.js.map