"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PPtr = void 0;
class PPtr {
    constructor(reader, type) {
        this.fileId = reader.readInt32();
        this.pathId = reader.fileVersion < 14 ? reader.readInt32() : reader.readInt64();
        this.assetsFile = reader.assetsFile;
    }
    getAssetsFile() {
        if (this.fileId === 0) {
            return this.assetsFile;
        }
        // TODO: Implement externals
        throw new Error('Externals not supported');
    }
    get() {
        const file = this.getAssetsFile();
        const obj = file === null || file === void 0 ? void 0 : file.objects.get(this.pathId);
        return obj;
    }
}
exports.PPtr = PPtr;
//# sourceMappingURL=PPtr.js.map