import { EndianReader } from '../EndianReader';
export declare type Vector2 = [number, number];
export declare type Vector3 = [number, number, number];
export declare type Vector4 = [number, number, number, number];
export declare function readVector2(reader: EndianReader): Vector2;
export declare function readVector3(reader: EndianReader): Vector3;
export declare function readVector4(reader: EndianReader): Vector4;
