/// <reference types="node" />
/// <reference types="ref-napi" />
import { SerializedFile } from './SerializedFile';
import { EndianReader } from './EndianReader';
export declare class ResourceReader {
    private needSearch;
    private readonly path?;
    private readonly assetFile?;
    private readonly offset;
    private readonly size;
    private reader?;
    constructor(path: string, assetFile: SerializedFile, offset: number | bigint, size: number);
    constructor(reader: EndianReader, offset: number | bigint, size: number);
    getData(): Buffer;
}
