import { Brand } from 'ts-brand';
export declare type VersionTuple = [number, number, number, number];
export declare type Version = Brand<bigint, 'Version' & VersionTuple>;
export declare function makeVersion(...tuple: Partial<VersionTuple>): Version;
export declare function unmakeVersion(version: Version): VersionTuple;
